# List Service Accounts

`GET /auth/service-accounts`

Returns a list of service accounts

{% hint style="info" %}

* Request headers required. See [Request Headers](/d/advanced-topics/authentication/request-headers.md) for more information.
* Authentication required. See [Authentication Headers](/d/advanced-topics/authentication/request-headers.md#authentication-headers) for more information.
  {% endhint %}

## Required Permissions

| Name                        | Conditions      |
| --------------------------- | --------------- |
| `Auth:ServiceAccounts:Read` | Always Required |

## Responses

{% hint style="info" %}

* See [Common Errors](https://github.com/dfns/dfns-api-docs/blob/m/getting-started/errors.md#common-errors) for common errors.
* See [Service Account Management Errors](https://github.com/dfns/dfns-api-docs/blob/m/getting-started/errors.md#service-account-management-errors) for service account management specific errors.
  {% endhint %}

{% tabs %}
{% tab title="200" %}
**Success** - A list of service accounts registered in the organization

```json
{
  "items": [
    {
      "userInfo": {
        "username": "My Old Service Account",
        "userId": "us-9d8ii-4lpu8-6v9h98ulfq97poq",
        "kind": "CustomerEmployee",
        "credentialUuid": "cr-4uc9u-12ij1-9s08327e73jqqcnr",
        "orgId": "or-yanke-mars-6ulofamogg84s87v",
        "permissions": [],
        "scopes": [],
        "isActive": true,
        "isServiceAccount": true,
        "isRegistered": true,
        "permissionAssignments": []
      },
      "accessTokens": [
        {
          "dateCreated": "2023-03-13T15:53:14.222Z",
          "credId": "Y2ktQzNPNi1INU83LTNyamdwZ3ZuOGY5YzNwZ2pvdThqcW04b2xw",
          "isActive": false,
          "kind": "ServiceAccount",
          "linkedUserId": "us-9d8ii-4lpu8-6v9h98ulfq97poq",
          "linkedAppId": "",
          "name": "My Old Service Account",
          "orgId": "or-yanke-mars-6ulofamogg84s87v",
          "permissionAssignments": [],
          "publicKey": "SHA256:lH7mAR/74SbXzSjfNAFazwJsUdccVQzA8yj7K8/R5eo",
          "tokenId": "to-316hg-qtfc2-8gbo2dtrfvrn4vgj"
        }
      ]
    },
    {
      "userInfo": {
        "username": "My active service account",
        "userId": "us-38clq-4cpoe-8rkofkec5tfpcg9c",
        "kind": "CustomerEmployee",
        "credentialUuid": "cr-4uc9u-12ij1-9s08327e73jqqcnr",
        "orgId": "or-yanke-mars-6ulofamogg84s87v",
        "permissions": [],
        "scopes": [],
        "isActive": true,
        "isServiceAccount": true,
        "isRegistered": true,
        "permissionAssignments": [
          {
            "permissionId": "pm-paris-lithi-17bf4kf01h8ajph4",
            "permissionName": "DfnsFullAdminAccess",
            "assignmentId": "",
            "operations": [
              "ApiKeys:Create",
              "ApiKeys:Read",
              "ApiKeys:Revoke",
              "AssetAccounts:Archive",
              "AssetAccounts:Create",
              "AssetAccounts:Read",
              "Auth:Action:Sign",
              "Auth:Apps:Create",
              "Auth:Apps:Read",
              "Auth:Apps:Update",
              "Auth:Creds:Create",
              "Auth:Creds:Read",
              "Auth:Creds:Update",
              "Auth:Types:Employee",
              "Auth:Types:EndUser",
              "Auth:Types:Pat",
              "Auth:Types:ServiceAccount",
              "Auth:Users:Create",
              "Auth:Users:Delegate",
              "Auth:Users:Read",
              "Auth:Users:Update",
              "Balances:Read",
              "CallbackEvents:Read",
              "CallbackSubscriptions:Archive",
              "CallbackSubscriptions:Create",
              "CallbackSubscriptions:Read",
              "Employees:Read",
              "Payments:Create",
              "Payments:Read",
              "PermissionAssignments:Create",
              "PermissionAssignments:Read",
              "PermissionAssignments:Revoke",
              "PermissionPredicates:Archive",
              "PermissionPredicates:Create",
              "PermissionPredicates:Read",
              "PermissionPredicates:Update",
              "Permissions:Archive",
              "Permissions:Create",
              "Permissions:Read",
              "Permissions:Update",
              "Policies:Archive",
              "Policies:Create",
              "Policies:Read",
              "Policies:Update",
              "PolicyControlExecutions:Read",
              "PolicyControlExecutions:Update",
              "PolicyControls:Archive",
              "PolicyControls:Create",
              "PolicyControls:Read",
              "PolicyControls:Update",
              "PolicyRules:Archive",
              "PolicyRules:Create",
              "PolicyRules:Read",
              "PolicyRules:Update",
              "PublicKeyAddresses:Read",
              "PublicKeys:Create",
              "PublicKeys:Read",
              "Signatures:Create",
              "Signatures:Read",
              "Transactions:Create",
              "Transactions:Read",
              "Wallets:Create",
              "Wallets:Read",
              "Wallets:Update"
            ]
          }
        ]
      },
      "accessTokens": [
        {
          "dateCreated": "2023-03-24T22:24:20.131Z",
          "credId": "Y2ktNGpidGctOHNlOHMtOWE2cWo0N2ZoY2xvcWJqbA",
          "isActive": true,
          "kind": "ServiceAccount",
          "linkedUserId": "us-38clq-4cpoe-8rkofkec5tfpcg9c",
          "linkedAppId": "",
          "name": "My active service account",
          "orgId": "or-yanke-mars-6ulofamogg84s87v",
          "permissionAssignments": [
            {
              "permissionId": "pm-paris-lithi-17bf4kf01h8ajph4",
              "permissionName": "DfnsFullAdminAccess",
              "assignmentId": "",
              "operations": [
                "ApiKeys:Create",
                "ApiKeys:Read",
                "ApiKeys:Revoke",
                "AssetAccounts:Archive",
                "AssetAccounts:Create",
                "AssetAccounts:Read",
                "Auth:Action:Sign",
                "Auth:Apps:Create",
                "Auth:Apps:Read",
                "Auth:Apps:Update",
                "Auth:Creds:Create",
                "Auth:Creds:Read",
                "Auth:Creds:Update",
                "Auth:Types:Employee",
                "Auth:Types:EndUser",
                "Auth:Types:Pat",
                "Auth:Types:ServiceAccount",
                "Auth:Users:Create",
                "Auth:Users:Delegate",
                "Auth:Users:Read",
                "Auth:Users:Update",
                "Balances:Read",
                "CallbackEvents:Read",
                "CallbackSubscriptions:Archive",
                "CallbackSubscriptions:Create",
                "CallbackSubscriptions:Read",
                "Employees:Read",
                "Payments:Create",
                "Payments:Read",
                "PermissionAssignments:Create",
                "PermissionAssignments:Read",
                "PermissionAssignments:Revoke",
                "PermissionPredicates:Archive",
                "PermissionPredicates:Create",
                "PermissionPredicates:Read",
                "PermissionPredicates:Update",
                "Permissions:Archive",
                "Permissions:Create",
                "Permissions:Read",
                "Permissions:Update",
                "Policies:Archive",
                "Policies:Create",
                "Policies:Read",
                "Policies:Update",
                "PolicyControlExecutions:Read",
                "PolicyControlExecutions:Update",
                "PolicyControls:Archive",
                "PolicyControls:Create",
                "PolicyControls:Read",
                "PolicyControls:Update",
                "PolicyRules:Archive",
                "PolicyRules:Create",
                "PolicyRules:Read",
                "PolicyRules:Update",
                "PublicKeyAddresses:Read",
                "PublicKeys:Create",
                "PublicKeys:Read",
                "Signatures:Create",
                "Signatures:Read",
                "Transactions:Create",
                "Transactions:Read",
                "Wallets:Create",
                "Wallets:Read",
                "Wallets:Update"
              ]
            }
          ],
          "publicKey": "SHA256:lH6mAX/24VbXzZjwNZFapwZsUdzzVQzA8yj7K8/R5eo",
          "tokenId": "to-4r80o-9cdbs-9lfos6ddbuivuhui"
        }
      ]
    },
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-legacy.dfns.co/d/api-docs/authentication/service-account-management/listserviceaccounts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
